## org.eclipse.datatools.modelbase.sql.query
Interface PredicateBasic

All Superinterfaces:
  Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Implementing Classes:
  PredicateBasicImpl

public interface PredicateBasic
extends Predicate

A representation of the model object 'SQL Predicate Basic'.

The following features are supported:

- `Comparison Operator`
- `Right Value Expr`
- `Left Value Expr`

See Also:
  `SQLQueryModelPackage.getPredicateBasic()`

Method Summary
`PredicateComparisonOperator` `getComparisonOperator()` Returns the value of the 'Comparison Operator' attribute.
`QueryValueExpression` `getLeftValueExpr()` Returns the value of the 'Left Value Expr' containment reference.
`QueryValueExpression` `getRightValueExpr()` Returns the value of the 'Right Value Expr' containment reference.
`void` `setComparisonOperator(PredicateComparisonOperator value)` Sets the value of the '`Comparison Operator`' attribute.
`void` `setLeftValueExpr(QueryValueExpression value)` Sets the value of the '`Left Value Expr`' containment reference.
`void` `setRightValueExpr(QueryValueExpression value)` Sets the value of the '`Right Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getComparisonOperator

    public PredicateComparisonOperator getComparisonOperator()

  Returns the value of the 'Comparison Operator' attribute. The literals are from the enumeration `PredicateComparisonOperator`.

  If the meaning of the 'Comparison Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comparison Operator' attribute.
  See Also:
    `PredicateComparisonOperator`, `setComparisonOperator(PredicateComparisonOperator)`, `SQLQueryModelPackage.getPredicateBasic_ComparisonOperator()`

### setComparisonOperator

    public void setComparisonOperator(PredicateComparisonOperator value)

  Sets the value of the '`Comparison Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Comparison Operator' attribute.
  See Also:
    `PredicateComparisonOperator`, `getComparisonOperator()`

### getRightValueExpr

    public QueryValueExpression getRightValueExpr()

  Returns the value of the 'Right Value Expr' containment reference. It is bidirectional and its opposite is '`Basic Right`'.

  If the meaning of the 'Right Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Value Expr' containment reference.
  See Also:
    `setRightValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBasic_RightValueExpr()`, `QueryValueExpression.getBasicRight()`

### setRightValueExpr

    public void setRightValueExpr(QueryValueExpression value)

  Sets the value of the '`Right Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Value Expr' containment reference.
  See Also:
    `getRightValueExpr()`

### getLeftValueExpr

    public QueryValueExpression getLeftValueExpr()

  Returns the value of the 'Left Value Expr' containment reference. It is bidirectional and its opposite is '`Basic Left`'.

  If the meaning of the 'Left Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Value Expr' containment reference.
  See Also:
    `setLeftValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBasic_LeftValueExpr()`, `QueryValueExpression.getBasicLeft()`

### setLeftValueExpr

    public void setLeftValueExpr(QueryValueExpression value)

  Sets the value of the '`Left Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Left Value Expr' containment reference.
  See Also:
    `getLeftValueExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.